import { r, h as o, H as t, g as s } from "./index.61732cef.js";
import { c as a } from "./index-orsBiyT_.fc4357c3.js";
import { l } from "./utils-CCck-DTo.e4e43b6a.js";
import "react";
import "react-dom";
const i = () => ":host{display:flex}:host(.table-row--highlighted) ::slotted(.table-cell){background-color:rgba(240, 242, 255, 1);}:host(.table-row--moving){border:var(--swirl-table-moving-row-border)}:host ::slotted(.table-cell){border-bottom:var(--s-border-width-default) solid var(--s-border-default)}:host *{box-sizing:border-box}", d = class {
  constructor(e) {
    r(this, e);
  }
  componentDidLoad() {
    const e = l(this.el, "swirl-table");
    e == null || e.rerender();
  }
  render() {
    const e = a("table-row", {
      "table-row--highlighted": this.highlighted
    });
    return o(t, { key: "332e716ed41c41961da53859443334a9d85540b8", "aria-rowindex": this.index, class: e, role: "row" }, o("slot", { key: "e46241cc4f23407aa177abd9613710d8868a1979" }));
  }
  get el() {
    return s(this);
  }
};
d.style = i();
export {
  d as swirl_table_row
};
